/*

    Copyright ( C ) 2003 Arnold Krille <arnold@arnoldarts.de>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation;
    version 2 of the License.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
    Boston, MA 02111-1307, USA.

    */

#ifndef ARTS_STEREOVOLUMECONTROL_GUI_H
#define ARTS_STEREOVOLUMECONTROL_GUI_H

#include <artsmoduleseffects.h>

#include <klayoutbox_impl.h>

class KStereoVolumeControlGui_EventMapper;

namespace Arts { // namespace Arts

class KStereoVolumeControlGui_impl : virtual public Arts::StereoVolumeControlGui_skel,
                                     virtual public Arts::KLayoutBox_impl
{
protected:
	QFrame* _qframe;
	Arts::StereoVolumeControl _svc;
	Arts::LevelMeter _left, _right;
	Arts::Tickmarks _tickmarks;
//	Arts::Label _label;
	KStereoVolumeControlGui_EventMapper* _mapper;
public:
	KStereoVolumeControlGui_impl( QFrame* =0 );

	void constructor( Arts::StereoVolumeControl );

	Arts::LevelMeter left() { return _left; }
	Arts::LevelMeter right() { return _right; }

//	Arts::Label title() { return _label; }

	void couple( bool ) {}
	bool couple() { return false; }

	void updateValues();
}; // class StereoVolumeControlGui

}; // namespace Arts

#include <qobject.h>
#include <qtimer.h>

class KStereoVolumeControlGui_EventMapper : public QObject {
   Q_OBJECT
public:
	QTimer* _timer;
	Arts::KStereoVolumeControlGui_impl* _impl;
public:
	KStereoVolumeControlGui_EventMapper( Arts::KStereoVolumeControlGui_impl* impl, QObject* parent, const char* name=0 ) : QObject( parent,name ), _impl( impl ) {
		_timer = new QTimer( this );
		connect( _timer, SIGNAL( timeout() ), this, SLOT( slotTimerSignal() ) );
	}
public slots:
	void slotTimerSignal() { _impl->updateValues(); }
};

#endif
// vim: sw=4 ts=4
